<?php
include_once('config/config2.php');
check();

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	  
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Armada - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        
            <?php include_once('nav.php');?>  
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Data Armada</h2>
                    <div style="text-align: right;">
						<button onClick="saveArmada('new');" class="btn btn-success btn-sm"><span class="fa fa-plus-circle" style="color: white;"></span> Armada</button> 
						
					</div>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<table id="datatable-server" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
                      <thead>
                        <tr>
                          <th style="text-align:center;vertical-align: middle;">Armada</th>
                          <th style="text-align:center;vertical-align: middle;">Nomor Plat</th>
                          <th style="text-align:center;vertical-align: middle;">Dimensi Karoseri / Box <br>(P x L x T) cm</th>
                          <th style="text-align:center;vertical-align: middle;">Berat Kosong (ton)</th>
                          <th style="text-align:center;vertical-align: middle;">Berat Maksimal (ton)</th>
                          <th style="text-align:center;vertical-align: middle;">Konsumsi BBM</th>
                          <th style="text-align:center;vertical-align: middle;">Sumber Armada</th>
                          <th style="text-align:center;vertical-align: middle;">Aksi</th>
                        </tr>
                      </thead>
                      
                    </table>
                  </div>
                </div>
              </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            <?php echo $perusahaan;?>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <?php include_once('config/script.inc.js.php');?>
	<script>
		
		
		var dataTables = $('#datatable-server').DataTable( {
			"processing": true,
			"serverSide": true,
			stateSave: true,
			
			"ajax":{
				url :"config/load.master.armada.php", // json datasource
				type: "post",  // method  , by default get
				dataType: 'json',
				/*success: function(show){
					alert(show);
				},*/
				error: function(jqXHR, exception){  // error handling
					alert('Terjadi kesalahan saat mengambil data.<br>Error code : '+jqXHR.responseText);
					$(".datatable-server-error").html("");
					$("#datatable-server").append('<tbody class="datatable-server-error"><tr><th colspan="5">No data found in the server</th></tr></tbody>');
					$("#datatable-server_processing").css("display","none");

				}
			},
			"columnDefs": [
                { "targets": [3,4],"className": "dt-right"},
                { "targets": [0,1,2,5,6],"className": "dt-center"}
            ],
		} );
		
		  
		function saveArmada(mode_armada,id_armada){
			if(mode_armada == 'new'){
				//alert('adf');
				$.confirm({
					title: 'Data Armada',
					//theme: 'supervan',
					
					content: "url:config/form.master.armada.php?mode="+mode_armada+"&id_armada=",
					
					buttons: {
						formSubmit: {
							text: 'Simpan',
							btnClass: 'btn-blue',
							action: function () {
								var nama_armada = this.$content.find('#nama_armada').val();
								var panjang_armada = this.$content.find('#panjang_armada').val();
								var tinggi_armada = this.$content.find('#tinggi_armada').val();
								var lebar_armada = this.$content.find('#lebar_armada').val();
								var berat_min_armada = this.$content.find('#berat_min_armada').val();
								var berat_max_armada = this.$content.find('#berat_max_armada').val();
								var bbm_armada = this.$content.find('#bbm_armada').val();
								var plat_armada = this.$content.find('#plat_armada').val();
								var sumber_armada = this.$content.find('#sumber_armada').val();
								//alert(id_barang);
								if((!nama_armada || !sumber_armada || !plat_armada)){
									$.alert('Form tidak boleh kosong');
									return false;
								}
								else{
									$.ajax({
										type: 'post',
										url: 'config/save.master.armada.php',
										data: {nama_armada: nama_armada,
												panjang_armada: panjang_armada,
												lebar_armada: lebar_armada,
												tinggi_armada: tinggi_armada,
												berat_min_armada: berat_min_armada,
												berat_max_armada: berat_max_armada,
												bbm_armada: bbm_armada,
												plat_armada: plat_armada,
												sumber_armada: sumber_armada,
												save_type: 'simpan_armada',
												mode_armada: mode_armada},
										dataType: 'json',

										success: function(show){
											//alert(show);
											//resetTimer();
											if(show.status=='ok'){
												//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
												PNotify.removeAll();
												  new PNotify({
													title: 'Berhasil',
													text: 'Data armada tersimpan.',
													type: 'success',
													styling: 'bootstrap3',
													////addclass: "stack-bottomright",
													nonblock: {
														nonblock: true
													},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTables.ajax.reload(null, false);
											}
											
											else{
												PNotify.removeAll();
												  new PNotify({
													title: 'Error',
													text: 'Error : error saat menyimpan data',
													type: 'error',
													styling: 'bootstrap3',
													////addclass: "stack-bottomright",
													nonblock: {
														nonblock: true
													},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTables.ajax.reload(null, false);
											}
										},
										error: function(jqXHR, exception){
											PNotify.removeAll();
											  new PNotify({
												title: 'Error',
												text: 'Terjadi kesalahan saat menyimpan data.<br>Error code : '+jqXHR.responseText,
												type: 'error',
												styling: 'bootstrap3',
												////addclass: "stack-bottomright",
												nonblock: {
													nonblock: true
												},
												buttons: {
													show_on_nonblock: false
												}
											});
										}
									})
								}
							}
						},
						cancel: function () {
							
						},
					},
					
				});
			}
			else if(mode_armada == 'edit'){
				//alert('company_id');
				$.confirm({
					title: 'Data Armada',
					//theme: 'supervan',
					content: "url:config/form.master.armada.php?id_armada="+id_armada+"&mode="+mode_armada,
					buttons: {
						formSubmit: {
							text: 'Simpan',
							btnClass: 'btn-blue',
							action: function () {
								var nama_armada = this.$content.find('#nama_armada').val();
								var panjang_armada = this.$content.find('#panjang_armada').val();
								var tinggi_armada = this.$content.find('#tinggi_armada').val();
								var lebar_armada = this.$content.find('#lebar_armada').val();
								var berat_min_armada = this.$content.find('#berat_min_armada').val();
								var berat_max_armada = this.$content.find('#berat_max_armada').val();
								var bbm_armada = this.$content.find('#bbm_armada').val();
								var plat_armada = this.$content.find('#plat_armada').val();
								var sumber_armada = this.$content.find('#sumber_armada').val();
								//alert(npwp_armada);
								if((!nama_armada || !sumber_armada || !plat_armada)){
									$.alert('Form tidak boleh kosong');
									return false;
								}
								else{
									$.ajax({
										type: 'post',
										url: 'config/save.master.armada.php',
										data: {id_armada: id_armada,
												nama_armada: nama_armada,
												panjang_armada: panjang_armada,
												lebar_armada: lebar_armada,
												tinggi_armada: tinggi_armada,
												berat_min_armada: berat_min_armada,
												berat_max_armada: berat_max_armada,
												bbm_armada: bbm_armada,
												plat_armada: plat_armada,
												sumber_armada: sumber_armada,
												save_type: 'edit_armada',
												mode_armada: mode_armada},
										dataType: 'json',

										success: function(show){
											//alert(show);
											//resetTimer();
											if(show.status=='ok'){
												//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
												PNotify.removeAll();
												  new PNotify({
													title: 'Berhasil',
													text: 'Data armada tersimpan.',
													type: 'success',
													styling: 'bootstrap3',
													////addclass: "stack-bottomright",
													nonblock: {
														nonblock: true
													},
													buttons: {
														show_on_nonblock: false
													}
												});
												 dataTables.ajax.reload(null, false);
												
											}
											else{
												PNotify.removeAll();
												  new PNotify({
													title: 'Error',
													text: 'Error : error saat menyimpan data',
													type: 'error',
													styling: 'bootstrap3',
													////addclass: "stack-bottomright",
													nonblock: {
														nonblock: true
													},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTables.ajax.reload(null, false);
											}
										},
										error: function(jqXHR, exception){
											PNotify.removeAll();
											  new PNotify({
												title: 'Error',
												text: 'Terjadi kesalahan saat menyimpan data.<br>Error code : '+jqXHR.responseText,
												type: 'error',
												styling: 'bootstrap3',
												////addclass: "stack-bottomright",
												nonblock: {
													nonblock: true
												},
												buttons: {
													show_on_nonblock: false
												}
											});
										}
									})
								}
							}
						},
						cancel: function () {

						},
					},
					
				});
					
				
			}
			else if(mode_armada == 'delete'){
				$.confirm({
				title: 'Hapus Data',
				content: '<b>'+
						'<ol>'+
						'<li>Data yang dihapus tidak bisa dikembalikan lagi dan mungkin akan menyebabkan data lain error.</li>'+
						'</ol></b>',
				buttons: {
					Hapus: {
						btnClass: 'btn-danger',
						action: function () {
							$.ajax({
								type: 'post',
								url: 'config/save.master.armada.php',
								data: {id_armada: +id_armada,
										save_type: 'delete_armada'},
								dataType: 'json',

								success: function(show){
									PNotify.removeAll();
									new PNotify({
										title: 'Berhasil',
										text: 'Data berhasil dihapus.',
										type: 'success',
										styling: 'bootstrap3',
										////addclass: "stack-bottomright",
										nonblock: {
											nonblock: true
										},
										buttons: {
											show_on_nonblock: false
										}
									});
									dataTables.ajax.reload(null, false);
									 
								},
								error: function(jqXHR, exception){
									PNotify.removeAll();
									  new PNotify({
										title: 'Error',
										text: 'Terjadi kesalahan saat menyimpan data.<br>Error code : '+jqXHR.responseText,
										type: 'error',
										styling: 'bootstrap3',
										////addclass: "stack-bottomright",
										nonblock: {
											nonblock: true
										},
										buttons: {
											show_on_nonblock: false
										}
									});
								}
							});
						}
					},
					Batal: function(){}
				}
			});	
			}
		}
	</script>
  </body>
</html>